Subject: Re: [PATCH v3 00/34] libify mailinfo and call it directly from am

From: Johannes Sixt <[email-masked]>
Date: Wed, 21 Oct 2015 22:04:52 +0200

Am 21.10.2015 um 17:51 schrieb Ramsay Jones:
> On 20/10/15 22:24, Junio C Hamano wrote:
>> Junio C Hamano <[email-masked]> writes:
>> some numbers on my desktop (Dell T3500 2.66GHz Xeon X5650 with 12GB,
>> running Ubuntu),
>
> I suspect that I haven't tested exactly the same version as you, but I had
> a quick look at testing this on Cygwin today. I have included a complete
> transcript (below), so you can see what I did wrong! :-P
>
>>
>> Between 'master' and the version with this series (on 'jch'),
>> applying this 34-patch series itself on top of 'master' using "git
>> am", best of 5 numbers for running:
>>
>>      time git am mbox >/dev/null
>>
>> are
>>
>>        (master)                 (with the series)
>>      real    0m0.648s            real    0m0.537s
>>      user    0m0.358s            user    0m0.338s
>>      sys     0m0.172s            sys     0m0.154s
>>
>
> The corresponding times for me were:
>
>      (master)           (with the series)
>    real	0m9.760s      real	0m5.744s
>    user	0m0.531s      user	0m0.656s
>    sys	0m5.726s      sys	0m3.520s
>
> So, yes, a noticeable improvement! :)

Same here, on Windows built with the old msysgit environment:

(master)             (with the series)
real    0m3.147s      real    0m1.947s
user    0m0.016s      user    0m0.000s
sys     0m0.015s      sys     0m0.031s

Although I tested 'git am patches/*' where the patches/* are the result 
of 'git-format-patch v2.6.1..github/jc/mailinfo-lib'.

-- Hannes